Vai al contenuto

Update file properties

Richiesta

Updates the properties of a specific template file. Currently supports assigning a document class with metadata values. Does not modify the file content.

Sicurezza
Bearer or PersonalAccessToken
Percorso
organizationIdstring, (uuid)obbligatorio

Unique identifier of the organization

templateIdstring, (uuid)obbligatorio

Unique identifier of the template

fileIdstring, (uuid)obbligatorio

Unique identifier of the file

Corpoapplication/jsonobbligatorio
documentClassobject(UpdateTemplateFileDocumentClassRequest)obbligatorio

Request body for updating the document class of a template file.

restrictedVisibilityRecipientIdsArray of strings or null, (uuid)

The IDs of recipients with restricted visibility to this file. Null means no change.

PUT
/api/v1/organizations/{organizationId}/templates/{templateId}/files/{fileId}
curl -i -X PUT \
  '/api/v1/organizations/{organizationId}/templates/{templateId}/files/{fileId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "documentClass": {
      "id": "d7de23eb-074e-4081-807f-8c1fe6705bcf",
      "metadata": [
        {
          "type": "NumberType",
          "value": 100.9,
          "id": "d54926e0-426e-4d68-b992-3f1de0d224d0"
        },
        {
          "type": "StringType",
          "value": "New contract",
          "id": "04eccc60-c219-41be-bdf3-74e051862e70"
        },
        {
          "type": "DateType",
          "value": "2026-05-20",
          "id": "48bad13e-bdc7-4bc1-95c8-f7c2a7528a22"
        },
        {
          "type": "ListOptionType",
          "value": "712dd981-2250-4d64-aa93-18a8b1411439",
          "id": "e1822bdb-f61d-4768-a521-b56c097c8c0f"
        }
      ]
    }
  }'

Risposte

No Content

Risposta
Nessun contenuto